# Get-RASTemplate.md

## NAME

Get-RASTemplate

## SYNOPSIS

Retrieves information about one or multiple Template properties.

## SYNTAX

**Get-RASTemplate** \[[Id](#id-string)] *(uint)* -[ObjType](#objtype) {RDSTemplate | VDITemplate | AVDTemplate} \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASTemplate** \[\[-[SiteId](#siteid-string)] *(uint)*] -[ObjType](#objtype) {RDSTemplate | VDITemplate | AVDTemplate} \[[Name](#name-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

The cmdlet returns an object of type Template properties. To see the complete list of object properties, use the Format-List cmdlet(see examples). The result set contains only the major properties of a group; it does not include the complete list of settings supported in RAS.

## PARAMETERS

## Name (string)

RAS Template name.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

The site ID from which to retrieve the RAS Template info.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a RAS Template for which to retrieve the information.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjType ([TemplateObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/templateobjtype.md))

Template object type.

Possible values: RDSTemplate, VDITemplate, AVDTemplate

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[Template](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/template.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASTemplate -ObjType RDSTemplate -Name "My Template" | Format-List

Retrieves information about the RDS Template properties specified by name from the Licensing Server site. To retrieve the info from a specific site, specify the -SiteId parameter. The Format-List cmdlet formats the display output to include all available group properties.\
\*\*---------- EXAMPLE 2 ----------

Get-RASTemplate -ObjType VDITemplate -Id 10

Retrieves information about the VDI Template specified by ID from the Licensing Server site.

## RELATED LINKS

* [New-RASTemplate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rastemplate.md)
* [Set-RASTemplate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rastemplate.md)
* [Remove-RASTemplate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rastemplate.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastemplate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
